declare const _default: {
    extends: string;
    plugins: string[];
    overrides: {
        files: string[];
        rules: {
            'camelcase': string;
            'indent': string;
            'no-array-constructor': string;
            'no-undef': string;
            'no-unused-vars': string;
            'no-useless-constructor': string;
            '@typescript-eslint/adjacent-overload-signatures': string;
            '@typescript-eslint/array-type': string[];
            '@typescript-eslint/camelcase': (string | {
                properties: string;
            })[];
            '@typescript-eslint/explicit-function-return-type': string;
            '@typescript-eslint/explicit-member-accessibility': string;
            '@typescript-eslint/indent': (string | number | {
                'SwitchCase': number;
                'VariableDeclarator': number;
                'outerIIFEBody': number;
                'MemberExpression': number;
                'FunctionDeclaration': {
                    'parameters': number;
                    'body': number;
                };
                'FunctionExpression': {
                    'parameters': number;
                    'body': number;
                };
                'CallExpression': {
                    'arguments': number;
                };
                'ArrayExpression': number;
                'ObjectExpression': number;
                'ImportDeclaration': number;
                'flatTernaryExpressions': boolean;
                'ignoreComments': boolean;
            })[];
            '@typescript-eslint/member-delimiter-style': (string | {
                multiline: {
                    delimiter: string;
                };
                singleline: {
                    delimiter: string;
                    requireLast: boolean;
                };
            })[];
            '@typescript-eslint/no-angle-bracket-type-assertion': string;
            '@typescript-eslint/no-array-constructor': string;
            '@typescript-eslint/no-empty-interface': string;
            '@typescript-eslint/no-extraneous-class': string;
            '@typescript-eslint/no-for-in-array': string;
            '@typescript-eslint/no-misused-new': string;
            '@typescript-eslint/no-namespace': string;
            '@typescript-eslint/no-non-null-assertion': string;
            '@typescript-eslint/no-object-literal-type-assertion': string;
            '@typescript-eslint/no-this-alias': (string | {
                allowDestructuring: boolean;
            })[];
            '@typescript-eslint/no-triple-slash-reference': string;
            '@typescript-eslint/no-unnecessary-type-assertion': string;
            '@typescript-eslint/no-unused-vars': string;
            '@typescript-eslint/no-use-before-define': (string | {
                functions: boolean;
                classes: boolean;
                variables: boolean;
                typedefs: boolean;
            })[];
            '@typescript-eslint/no-useless-constructor': string;
            '@typescript-eslint/no-var-requires': string;
            '@typescript-eslint/prefer-function-type': string;
            '@typescript-eslint/prefer-interface': string;
            '@typescript-eslint/promise-function-async': string;
            '@typescript-eslint/restrict-plus-operands': string;
            '@typescript-eslint/require-array-sort-compare': string;
            '@typescript-eslint/type-annotation-spacing': string;
        };
    }[];
};
export = _default;
